<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="mariadb" target="multi-user">
      <override/>
      <file>/etc/my.cnf.d/risotto.cnf</file>
      <file engine="none" source="tmpfile-mariadb.conf">/tmpfiles.d/0mariadb.conf</file>
      <file mode="600" owner="mysql" group="mysql">/etc/mariadb.sql</file>
      <file filelist="copy_tests">/tests/mariadb.yml</file>
    </service>
  </services>
  <variables>
    <family name="mariadb" description="MariaDB" help="Paramétrage du serveur de gestion de bases de données MariaDB">
      <variable name="mariadb_root_password" type="password" hidden="True"/>
    </family>
  </variables>
  <constraints>
    <fill name="get_password">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">root_password</param>
      <param name="description">mariadb</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <param name="length" type="number">50</param>
      <target>mariadb_root_password</target>
    </fill>
  </constraints>
</rougail>
